var globalActionConfronta = 0;
var router;
function routerStart() {
	var root = null;
	var useHash = true; // Defaults to, false
	var hash = '#!'; // Defaults to, '#'
	router = new Navigo(root, useHash, hash);

	// DEFAULT
	router.on(function() {loadHTML('inc/general/home.html', 'wrapper', HomeController)}, {leave() {}});

	// GENERAL
	router.on('home', function() {loadHTML('inc/general/home.html', 'wrapper', HomeController)}, {leave() {}}).resolve();
	router.on('perfil', function() {loadHTML('inc/general/perfil.html', 'wrapper', PerfilController)}, {leave() {}}).resolve();
	router.on('blog_social', function() {loadHTML('inc/general/blog_social.html', 'wrapper', BlogSocialController)}, {leave() {}}).resolve();
	router.on('saasAPIoAUTH', function() {loadHTML('inc/general/saasAPIoAUTH.html', 'wrapper', saasAPIoAUTHController)}, {leave() {}}).resolve();

	// PRODUCTOS
	router.on('productos', function() {loadHTML('inc/productos/productos.html', 'wrapper', ProductosController)}, {leave() {}}).resolve();
	router.on('productos_new', function() {loadHTML('inc/productos/productos_new.html', 'wrapper', ProductosNewController)}, {leave() {}}).resolve();
	router.on('productos_edit', function() {loadHTML('inc/productos/productos_edit.html', 'wrapper', ProductosEditController)}, {leave() {}}).resolve();
	router.on('producto_proyecto_new', function() {loadHTML('inc/productos/producto_proyecto_new.html', 'wrapper', ProductoProyectoNewController)}, {leave() {}}).resolve();
	router.on('producto_proyecto_edit', function() {loadHTML('inc/productos/producto_proyecto_edit.html', 'wrapper', ProductoProyectoEditController)}, {leave() {}}).resolve();
	router.on('producto_mision_new', function() {loadHTML('inc/productos/producto_mision_new.html', 'wrapper', ProductoMisionNewController)}, {leave() {}}).resolve();
	router.on('producto_mision_edit', function() {loadHTML('inc/productos/producto_mision_edit.html', 'wrapper', ProductoMisionEditController)}, {leave() {}}).resolve();
	router.on('producto_encuesta', function() {loadHTML('inc/productos/producto_encuesta.html', 'wrapper', ProductoEncuestaController)}, {leave() {}}).resolve();
	router.on('producto_criterio_new', function() {loadHTML('inc/productos/producto_criterio_new.html', 'wrapper', ProductoCriterioNewController)}, {leave() {}}).resolve();
	router.on('producto_criterio_edit', function() {loadHTML('inc/productos/producto_criterio_edit.html', 'wrapper', ProductoCriterioEditController)}, {leave() {}}).resolve();
	router.on('producto_sumario', function() {loadHTML('inc/productos/producto_sumario.html', 'wrapper', ProductoSumarioController)}, {leave() {}}).resolve();

	// PLANTILLAS
	router.on('templates', function() {loadHTML('inc/templates/templates.html', 'wrapper', TemplatesController)}, {leave() {}}).resolve();
	router.on('templates_new', function() {loadHTML('inc/templates/templates_new.html', 'wrapper', TemplatesNewController)}, {leave() {}}).resolve();
	router.on('templates_edit', function() {loadHTML('inc/templates/templates_edit.html', 'wrapper', TemplatesEditController)}, {leave() {}}).resolve();

	// PROYECTOS
	router.on('proyectos', function() {loadHTML('inc/proyectos/proyectos.html', 'wrapper', ProyectosController)}, {leave() {}}).resolve();
	router.on('proyectos_new', function() {loadHTML('inc/proyectos/proyectos_new.html', 'wrapper', ProyectosNewController)}, {leave() {}}).resolve();
	router.on('proyectos_edit', function() {loadHTML('inc/proyectos/proyectos_edit.html', 'wrapper', ProyectosEditController)}, {leave() {}}).resolve();
	router.on('proyectos_validar', function() {loadHTML('inc/proyectos/proyectos_validate.html', 'wrapper', ProyectosValidateController)}, {leave() {}}).resolve();
	router.on('proyectos_objectives', function() {loadHTML('inc/proyectos/proyectos_objectives.html', 'wrapper', ProyectosObjectivesController)}, {leave() {}}).resolve();
	router.on('expulsion', function() {loadHTML('inc/proyectos/expulsion.html', 'wrapper', ExpulsionController)}, {leave() {}}).resolve();
	router.on('proyectos_videocall', function() {loadHTML('inc/proyectos/proyectos_videocall.html', 'wrapper', ProyectosVideocallController)}, {leave() {}}).resolve();

	// NOTIFICACIONES
	router.on('notificaciones', function() {loadHTML('inc/notificaciones/notificaciones.html', 'wrapper', NotificacionesController)}, {leave() {}}).resolve();
	router.on('notificaciones/nueva', function() {loadHTML('inc/notificaciones/notificaciones_nueva.html', 'wrapper', NotificacionesNuevaController)}, {leave() {}}).resolve();
	router.on('notificaciones/editar', function() {loadHTML('inc/notificaciones/notificaciones_editar.html', 'wrapper', NotificacionesEditarController)}, {leave() {}}).resolve();
	router.on('notificaciones/consejeros', function() {loadHTML('inc/notificaciones/notificaciones_consejeros.html', 'wrapper', NotificacionesConsejerosController)}, {leave() {}}).resolve();
	router.on('notificaciones_consejeros_telf', function() {loadHTML('inc/notificaciones/notificaciones_consejeros_telf.html', 'wrapper', NotificacionesConsejerosSinTelefonoController)}, {leave() {}}).resolve();
	router.on('notificaciones_cola', function() {loadHTML('inc/notificaciones/notificaciones_cola.html', 'wrapper', NotificacionesColaController)}, {leave() {}}).resolve();
	router.on('notificaciones_pre_consejeros', function() {loadHTML('inc/notificaciones/notificaciones_pre_consejeros.html', 'wrapper', NotificacionesPreConsejerosController)}, {leave() {}}).resolve();

	// OPERAR
	router.on('pop_ups', function() {loadHTML('inc/operar/pop_ups.html', 'wrapper', PopUpsController)}, {leave() {}}).resolve();

	// LISTAS DE DIFUSIÓN
	router.on('difusion', function() {loadHTML('inc/difusion/difusion.html', 'wrapper', DifusionController)}, {leave() {}}).resolve();
	router.on('difusion_new', function() {loadHTML('inc/difusion/difusion_new.html', 'wrapper', DifusionNewController)}, {leave() {}}).resolve();
	router.on('difusion_edit', function() {loadHTML('inc/difusion/difusion_edit.html', 'wrapper', DifusionEditController)}, {leave() {}}).resolve();

	// ENCUESTAS
	router.on('rotaciones/editar', function() {loadHTML('inc/encuestas/rotation.html', 'wrapper', RotationController)}, {leave() {}}).resolve();
	router.on('rotaciones/nuevo', function() {loadHTML('inc/encuestas/rotation.html', 'wrapper', RotationController)}, {leave() {}}).resolve();
	router.on('generador_encuestas', function() {loadHTML('inc/encuestas/generador_encuestas.html', 'wrapper', GeneradorEncuestasController)}, {leave() {}}).resolve();
	router.on('rotaciones', function() {loadHTML('inc/encuestas/rotaciones.html', 'wrapper',RotationListController)}, {leave() {}}).resolve();

	// MISIONES
	router.on('misiones', function() {loadHTML('inc/misiones/misiones.html', 'wrapper', MisionesController)}, {leave() {}}).resolve();
	router.on('misiones_new', function() {loadHTML('inc/misiones/misiones_new.html', 'wrapper', MisionesNewController)}, {leave() {}}).resolve();
	router.on('misiones_edit', function() {loadHTML('inc/misiones/misiones_edit.html', 'wrapper', MisionesEditController)}, {leave() {}}).resolve();
	router.on('misiones_type', function() {loadHTML('inc/misiones/misiones_type.html', 'wrapper', MisionesTypeController)}, {leave() {}}).resolve();
	router.on('misiones_type_new', function() {loadHTML('inc/misiones/misiones_type_new.html', 'wrapper', MisionesTypeNewController)}, {leave() {}}).resolve();
	router.on('misiones_type_edit', function() {loadHTML('inc/misiones/misiones_type_edit.html', 'wrapper', MisionesTypeEditController)}, {leave() {}}).resolve();
	router.on('cumplimiento', function() {loadHTML('inc/misiones/cumplimiento.html', 'wrapper', CumplimientoController)}, {leave() {}}).resolve();
	router.on('misiones_cola', function() {loadHTML('inc/misiones/misiones_cola.html', 'wrapper', MissionesColaController)}, {leave() {}}).resolve();
	router.on('misiones_urls', function() {loadHTML('inc/misiones/misiones_urls.html', 'wrapper', MisionesUrlsController)}, {leave() {}}).resolve();

	// BASES CONOCIMIENTOS BOTS
	router.on('generador_bases_conocimiento', function() {loadHTML('inc/bases_conocimiento_bots/bases_conocimiento_bots.html', 'wrapper', BasesConocimientoBotsController)}, {leave() {}}).resolve();

	// PAGOS
	router.on('pagos', function() {loadHTML('inc/pagos/pagos.html', 'wrapper', PagosController)}, {leave() {}}).resolve();
	router.on('pagos_archivo', function() {loadHTML('inc/pagos/pagos_importar.html', 'wrapper', PagosImportarController)}, {leave() {}}).resolve();
	router.on('pagos_detalle', function() {loadHTML('inc/pagos/pagos_detalle.html', 'wrapper', PagosDetalleController)}, {leave() {}}).resolve();
	router.on('pagos_automatizados', function() {loadHTML('inc/pagos/pagos_automatizados.html', 'wrapper', PagosAutomatizadosController)}, {leave() {}}).resolve();
	router.on('pagos_automatizados_new', function() {loadHTML('inc/pagos/pagos_automatizados_new.html', 'wrapper', PagosAutomatizadosNewController)}, {leave() {}}).resolve();
	router.on('pagos_automatizados_edit', function() {loadHTML('inc/pagos/pagos_automatizados_edit.html', 'wrapper', PagosAutomatizadosEditController)}, {leave() {}}).resolve();

	// RECOMPENSAS
	router.on('articulos_catalogo', function() {loadHTML('inc/recompensas/articulos_catalogo.html', 'wrapper', ArticulosCatalogoController)}, {leave() {}}).resolve();
	router.on('articulos_catalogo_new', function() {loadHTML('inc/recompensas/articulos_catalogo_new.html', 'wrapper', ArticulosCatalogoNewController)}, {leave() {}}).resolve();
	router.on('articulos_catalogo_edit', function() {loadHTML('inc/recompensas/articulos_catalogo_edit.html', 'wrapper', ArticulosCatalogoEditController)}, {leave() {}}).resolve();
	router.on('catalogos', function() {loadHTML('inc/recompensas/catalogos.html', 'wrapper', CatalogosController)}, {leave() {}}).resolve();
	router.on('catalogos_new', function() {loadHTML('inc/recompensas/catalogos_new.html', 'wrapper', CatalogosNewController)}, {leave() {}}).resolve();
	router.on('catalogos_edit', function() {loadHTML('inc/recompensas/catalogos_edit.html', 'wrapper', CatalogosEditController)}, {leave() {}}).resolve();

	// USUARIOS
	router.on('usuarios', function() {loadHTML('inc/usuarios/usuarios.html', 'wrapper', UsuariosController)}, {leave() {}}).resolve();
	router.on('usuarios/nuevo', function() {loadHTML('inc/usuarios/usuarios_nuevo.html', 'wrapper', UsuariosNuevoController)}, {leave() {}}).resolve();
	router.on('usuarios/editar', function() {loadHTML('inc/usuarios/usuarios_editar.html', 'wrapper', UsuariosEditarController)}, {leave() {}}).resolve();
	router.on('usuarios_importar', function() {loadHTML('inc/usuarios/usuarios_importar.html', 'wrapper', UsuariosImportarController)}, {leave() {}}).resolve();
	router.on('editsegmentations', function() {loadHTML('inc/usuarios/segmentaciones.html', 'wrapper', SegmentacionesController)}, {leave() {}}).resolve();
	router.on('segmentaciones_new', function() {loadHTML('inc/usuarios/segmentaciones_new.html', 'wrapper', SegmentacionesNewController)}, {leave() {}}).resolve();
	router.on('segmentaciones_edit', function() {loadHTML('inc/usuarios/segmentaciones_edit.html', 'wrapper', SegmentacionesEditController)}, {leave() {}}).resolve();
	router.on('segmentaciones_automatizadas', function() {loadHTML('inc/usuarios/segmentaciones_automatizadas.html', 'wrapper', SegmentacionesAutomatizadasController)}, {leave() {}}).resolve();
	router.on('segmentaciones_automatizadas_new', function() {loadHTML('inc/usuarios/segmentaciones_automatizadas_new.html', 'wrapper', SegmentacionesAutomatizadasNewController)}, {leave() {}}).resolve();
	router.on('segmentaciones_automatizadas_edit', function() {loadHTML('inc/usuarios/segmentaciones_automatizadas_edit.html', 'wrapper', SegmentacionesAutomatizadasEditController)}, {leave() {}}).resolve();

	// ROLES
	router.on('roles', function() {loadHTML('inc/roles/roles.html', 'wrapper', RolesController)}, {leave() {}}).resolve();
	router.on('roles_new', function() {loadHTML('inc/roles/roles_new.html', 'wrapper', RolesNewController)}, {leave() {}}).resolve();
	router.on('roles_edit', function() {loadHTML('inc/roles/roles_edit.html', 'wrapper', RolesEditController)}, {leave() {}}).resolve();

	// GRUPOS
	router.on('grupos', function() {loadHTML('inc/grupos/grupos.html', 'wrapper', GruposController)}, {leave() {}}).resolve();
	router.on('grupos/nuevo', function() {loadHTML('inc/grupos/grupos_nuevo.html', 'wrapper', GruposNuevoController)}, {leave() {}}).resolve();
	router.on('grupos/editar', function() {loadHTML('inc/grupos/grupos_editar.html', 'wrapper', GruposEditarController)}, {leave() {}}).resolve();

	// CONSUMOS
	router.on('show_all_items', function() {loadHTML('inc/items/items.html', 'wrapper', ItemsController)}, {leave() {}}).resolve();
	router.on('items_new', function() {loadHTML('inc/items/items_new.html', 'wrapper', ItemsNewController)}, {leave() {}}).resolve();
	router.on('items_edit', function() {loadHTML('inc/items/items_edit.html', 'wrapper', ItemsEditController)}, {leave() {}}).resolve();
	router.on('show_all_stores', function() {loadHTML('inc/items/stores.html', 'wrapper', StoresController)}, {leave() {}}).resolve();
	router.on('stores_new', function() {loadHTML('inc/items/stores_new.html', 'wrapper', StoresNewController)}, {leave() {}}).resolve();
	router.on('stores_edit', function() {loadHTML('inc/items/stores_edit.html', 'wrapper', StoresEditController)}, {leave() {}}).resolve();
	router.on('show_stores_type', function() {loadHTML('inc/items/stores_type.html', 'wrapper', StoresTypeController)}, {leave() {}}).resolve();
	router.on('stores_type_new', function() {loadHTML('inc/items/stores_type_new.html', 'wrapper', StoresTypeNewController)}, {leave() {}}).resolve();
	router.on('stores_type_edit', function() {loadHTML('inc/items/stores_type_edit.html', 'wrapper', StoresTypeEditController)}, {leave() {}}).resolve();

	// ADDONS
	router.on('addons', function() {loadHTML('inc/addons/addons.html', 'wrapper', AddonsController)}, {leave() {}}).resolve();
	router.on('addons_new', function() {loadHTML('inc/addons/addons_new.html', 'wrapper', AddonsNewController)}, {leave() {}}).resolve();
	router.on('addons_edit', function() {loadHTML('inc/addons/addons_edit.html', 'wrapper', AddonsEditController)}, {leave() {}}).resolve();

	// ASISTENTE DE VOZ
	router.on('voiceAssistant', function() {loadHTML('inc/asistente_voz/asistente_voz.html', 'wrapper', VoiceAssistantController)}, {leave() {}}).resolve();
	router.on('voiceAssistant_new', function() {loadHTML('inc/asistente_voz/asistente_voz_new.html', 'wrapper', VoiceAssistantNewController)}, {leave() {}}).resolve();
	router.on('voiceAssistant_edit', function() {loadHTML('inc/asistente_voz/asistente_voz_edit.html', 'wrapper', VoiceAssistantEditController)}, {leave() {}}).resolve();
	router.on('sinonimos', function() {loadHTML('inc/asistente_voz/sinonimos.html', 'wrapper', SinonimosController)}, {leave() {}}).resolve();

	// HASHTAGS
	router.on('hashtag', function() {loadHTML('inc/hashtags/hashtags.html', 'wrapper', HashtagsController)}, {leave() {}}).resolve();
	router.on('hashtags_new', function() {loadHTML('inc/hashtags/hashtags_new.html', 'wrapper', HashtagsNewController)}, {leave() {}}).resolve();
	router.on('hashtags_edit', function() {loadHTML('inc/hashtags/hashtags_edit.html', 'wrapper', HashtagsEditController)}, {leave() {}}).resolve();

	// AJUSTES
	router.on('formulario_registro', function() {loadHTML('inc/ajustes/formularioRegistro.html', 'wrapper', FormularioRegistroController)}, {leave() {}}).resolve();
	router.on('exclusiones_wordcloud', function() {loadHTML('inc/ajustes/exclusiones_wordcloud.html', 'wrapper', ExclusionesWordcloudController)}, {leave() {}}).resolve();
	router.on('exclusiones_wordcloud_new', function() {loadHTML('inc/ajustes/exclusiones_wordcloud_new.html', 'wrapper', ExclusionesWordcloudNewController)}, {leave() {}}).resolve();
	router.on('exclusiones_wordcloud_edit', function() {loadHTML('inc/ajustes/exclusiones_wordcloud_edit.html', 'wrapper', ExclusionesWordcloudEditController)}, {leave() {}}).resolve();
	router.on('welcometour', function() {loadHTML('inc/ajustes/welcome_tour.html', 'wrapper', WelcomeTourController)}, {leave() {}}).resolve();

	// CONFIGURACION
	router.on('configuracion', function() {loadHTML('inc/configuracion/configuracion.html', 'wrapper', ConfiguracionController)}, {leave() {}}).resolve();
	router.on('dominios_embebidos', function() {loadHTML('inc/configuracion/dominios_embebidos.html', 'wrapper', DominiosEmbebidosController)}, {leave() {}}).resolve();
	router.on('dominios_embebidos_new', function() {loadHTML('inc/configuracion/dominios_embebidos_new.html', 'wrapper', DominiosEmbebidosNewController)}, {leave() {}}).resolve();
	router.on('dominios_embebidos_edit', function() {loadHTML('inc/configuracion/dominios_embebidos_edit.html', 'wrapper', DominiosEmbebidosEditController)}, {leave() {}}).resolve();
	router.on('bots', function() {loadHTML('inc/configuracion/bots.html', 'wrapper', BotsController)}, {leave() {}}).resolve();
	router.on('bots_edit', function() {loadHTML('inc/configuracion/bots_edit.html', 'wrapper', BotsEditController)}, {leave() {}}).resolve();
	router.on('bots_new', function() {loadHTML('inc/configuracion/bots_new.html', 'wrapper', BotsNewController)}, {leave() {}}).resolve();
	router.on('definicion_catalogacion_asesores', function() {loadHTML('inc/configuracion/definicion_catalogacion_asesores.html', 'wrapper', DefinicionCatalogacionAsesoresController)}, {leave() {}}).resolve();
	router.on('logs', function() {loadHTML('inc/configuracion/logs.html', 'wrapper', LogsController)}, {leave() {}}).resolve();
	router.on('rsc', function() {loadHTML('inc/configuracion/rsc.html', 'wrapper', RSCController)}, {leave() {}}).resolve();
	router.on('rsc_new', function() {loadHTML('inc/configuracion/rsc_new.html', 'wrapper', RSCNewController)}, {leave() {}}).resolve();
	router.on('rsc_edit', function() {loadHTML('inc/configuracion/rsc_edit.html', 'wrapper', RSCEditController)}, {leave() {}}).resolve();
	router.on('perfilacion', function() {loadHTML('inc/configuracion/perfilacion.html', 'wrapper', PerfilacionController)}, {leave() {}}).resolve();
	router.on('perfilacion_new', function() {loadHTML('inc/configuracion/perfilacion_new.html', 'wrapper', PerfilacionNewController)}, {leave() {}}).resolve();
	router.on('perfilacion_edit', function() {loadHTML('inc/configuracion/perfilacion_edit.html', 'wrapper', PerfilacionEditController)}, {leave() {}}).resolve();
	router.on('paises', function() {loadHTML('inc/configuracion/paises.html', 'wrapper', PaisesController)}, {leave() {}}).resolve();
	router.on('paises_edit', function() {loadHTML('inc/configuracion/paises_edit.html', 'wrapper', PaisesEditController)}, {leave() {}}).resolve();
	router.on('idiomas', function() {loadHTML('inc/configuracion/idiomas.html', 'wrapper', IdiomasController)}, {leave() {}}).resolve();
	router.on('perfiles', function() {loadHTML('inc/configuracion/perfiles.html', 'wrapper', PerfilesController)}, {leave() {}}).resolve();
	router.on('perfiles_new', function() {loadHTML('inc/configuracion/perfiles_new.html', 'wrapper', PerfilesNewController)}, {leave() {}}).resolve();
	router.on('perfiles_edit', function() {loadHTML('inc/configuracion/perfiles_edit.html', 'wrapper', PerfilesEditController)}, {leave() {}}).resolve();
	router.on('funcionalidades_app', function() {loadHTML('inc/configuracion/funcionalidades_app.html', 'wrapper', FuncionalidadesAPPController)}, {leave() {}}).resolve();

	// ANALYTICS
	router.on('asesores', function() {loadHTML('inc/analytics/asesores.html', 'wrapper', AsesoresController)}, {leave() {}}).resolve();
	router.on('cumplimientos', function() {loadHTML('inc/analytics/cumplimientos.html', 'wrapper', CumplimientosController)}, {leave() {}}).resolve();
	router.on('word_cloud', function() {loadHTML('inc/analytics/word_cloud.html', 'wrapper', WordCloudController)}, {leave() {}}).resolve();
	router.on('muestreo', function() {loadHTML('inc/analytics/muestreo.html', 'wrapper', MuestreoController)}, {leave() {}}).resolve();
	router.on('muestreo_dinamico', function() {loadHTML('inc/analytics/muestreo_dinamico.html', 'wrapper', MuestreoDinamicoController)}, {leave() {}}).resolve();
	router.on('muestreodetallado', function() {loadHTML('inc/analytics/muestreodetallado.html', 'wrapper', MuestreoDetalladoController)}, {leave() {}}).resolve();
	router.on('muestreodetallado_maz', function() {loadHTML('inc/analytics/muestreodetallado_maz.html', 'wrapper', MuestreoDetalladoMAZController)}, {leave() {}}).resolve();
	router.on('muestreodetallado_maz_tabla', function() {loadHTML('inc/analytics/muestreodetallado_maz_tabla.html', 'wrapper', MuestreoDetalladoMAZTablaController)}, {leave() {}}).resolve();
	router.on('muestreodetallado_maz_seg', function() {loadHTML('inc/analytics/muestreodetallado_maz_seg.html', 'wrapper', MuestreoDetalladoMAZSegController)}, {leave() {}}).resolve();
	router.on('muestreodetallado_maz_seg_tabla', function() {loadHTML('inc/analytics/muestreodetallado_maz_seg_tabla.html', 'wrapper', MuestreoDetalladoMAZSegTablaController)}, {leave() {}}).resolve();
	router.on('muestreodetalladocomparativo', function() {loadHTML('inc/analytics/muestreodetalladocomparativo.html', 'wrapper', MuestreoDetalladoComparativoController)}, {leave() {}}).resolve();
	router.on('muestreodetalladocomparativo_tabla', function() {loadHTML('inc/analytics/muestreodetalladocomparativo_tabla.html', 'wrapper', MuestreoDetalladoComparativoTablaController)}, {leave() {}}).resolve();
	router.on('muestreocomparativo', function() {loadHTML('inc/analytics/muestreocomparativo.html', 'wrapper', MuestreoComparativoController)}, {leave() {}}).resolve();
	router.on('conversaciones', function() {loadHTML('inc/analytics/conversaciones.html', 'wrapper', ConversacionesController)}, {leave() {}}).resolve();
	router.on('inversion', function() {loadHTML('inc/analytics/inversion.html', 'wrapper', InversionController)}, {leave() {}}).resolve();
	router.on('catalogacion', function() {loadHTML('inc/analytics/catalogacion.html', 'wrapper', CatalogacionAsesoresController)}, {leave() {}}).resolve();
	router.on('licencias', function() {loadHTML('inc/analytics/licencias.html', 'wrapper', LicenciasController)}, {leave() {}}).resolve();
	router.on('perfilacionsinfinalizar', function() {loadHTML('inc/analytics/perfilacionsinfinalizar.html', 'wrapper', PerSinFinalizarController)}, {leave() {}}).resolve();
	router.on('cdp', function() {loadHTML('inc/analytics/cdp.html', 'wrapper', CDPController)}, {leave() {}}).resolve();
	router.on('cubos', function() {loadHTML('inc/analytics/cubos.html', 'wrapper', CubosController)}, {leave() {}}).resolve();
	router.on('cubos_new', function() {loadHTML('inc/analytics/cubos_new.html', 'wrapper', CubosNewController)}, {leave() {}}).resolve();
	router.on('cubos_edit', function() {loadHTML('inc/analytics/cubos_edit.html', 'wrapper', CubosEditController)}, {leave() {}}).resolve();
	router.on('cubos_execute', function() {loadHTML('inc/analytics/cubos_execute.html', 'wrapper', CubosExecuteController)}, {leave() {}}).resolve();
	router.on('passiveTracking', function() {loadHTML('inc/analytics/passiveTracking.html', 'wrapper', PassiveTrackingController)}, {leave() {}}).resolve();
	router.on('diferenciassignificativas', function() {loadHTML('inc/analytics/diferenciassignificativas.html', 'wrapper', DiferenciasSignificativasController)}, {leave() {}}).resolve();
	router.on('stores', function() {loadHTML('inc/analytics/stores.html', 'wrapper', StoresAPPController)}, {leave() {}}).resolve();
	router.on('kpi_surveys', function() {loadHTML('inc/analytics/kpi_surveys.html', 'wrapper', KPISurveysController)}, {leave() {}}).resolve();
	router.on('tiempo_respuesta', function() {loadHTML('inc/analytics/response_time.html', 'wrapper', ResponseTimeController)}, {leave() {}}).resolve();
	router.on('plantillas_reportes', function() {loadHTML('inc/analytics/plantillas_reportes.html', 'wrapper', PlantillasReportesController)}, {leave() {}}).resolve();
	router.on('plantillas_reportes_new', function() {loadHTML('inc/analytics/plantillas_reportes_new.html', 'wrapper', PlantillasReportesNewController)}, {leave() {}}).resolve();
	router.on('plantillas_reportes_edit', function() {loadHTML('inc/analytics/plantillas_reportes_edit.html', 'wrapper', PlantillasReportesEditController)}, {leave() {}}).resolve();

	// ADMINISTRADORES BACKEND
	router.on('administradores_backend', function() {loadHTML('inc/administradores/administradores_backend.html', 'wrapper', AdministradoresController)}, {leave() {}}).resolve();
	router.on('administradores_backend/nuevo', function() {loadHTML('inc/administradores/administradores_backend_nuevo.html', 'wrapper', AdministradoresNuevoController)}, {leave() {}}).resolve();
	router.on('administradores_backend/editar', function() {loadHTML('inc/administradores/administradores_backend_editar.html', 'wrapper', AdministradoresEditarController)}, {leave() {}}).resolve();
	router.on('roles_backend', function() {loadHTML('inc/administradores/roles_backend.html', 'wrapper', RolesBackendController)}, {leave() {}}).resolve();
	router.on('roles_backend_new', function() {loadHTML('inc/administradores/roles_backend_new.html', 'wrapper', RolesBackendNewController)}, {leave() {}}).resolve();
	router.on('roles_backend_edit', function() {loadHTML('inc/administradores/roles_backend_edit.html', 'wrapper', RolesBackendEditController)}, {leave() {}}).resolve();

	// EXTENSIÓN FUNCIONAL(HTML)
	router.on('html', function() {loadHTML('inc/html/html.html', 'wrapper', HtmlController)}, {leave() {}}).resolve();
	router.on('html/nuevo', function() {loadHTML('inc/html/html_nuevo.html', 'wrapper', HtmlNuevoController)}, {leave() {}}).resolve();
	router.on('html/editar', function() {loadHTML('inc/html/html_editar.html', 'wrapper', HtmlEditarController)}, {leave() {}}).resolve();

	// MULTI TENANT
	router.on('tenant', function() {loadHTML('inc/multiTenant/tenant.html', 'wrapper', TenantController)}, {leave() {}}).resolve();
	router.on('tenant_new', function() {loadHTML('inc/multiTenant/tenant_new.html', 'wrapper', TenantNewController)}, {leave() {}}).resolve();
	router.on('tenant_edit', function() {loadHTML('inc/multiTenant/tenant_edit.html', 'wrapper', TenantEditController)}, {leave() {}}).resolve();
	router.on('tenant_licenses', function() {loadHTML('inc/multiTenant/tenant_licenses.html', 'wrapper', TenantLicensesController)}, {leave() {}}).resolve();

	// CPG
	router.on('cpg', function() {loadHTML('inc/cpg/cpg.html', 'wrapper', CPGController)}, {leave() {}}).resolve();
	router.on('cpg_new', function() {loadHTML('inc/cpg/cpg_new.html', 'wrapper', CPGNewController)}, {leave() {}}).resolve();
	router.on('cpg_edit', function() {loadHTML('inc/cpg/cpg_edit.html', 'wrapper', CPGEditController)}, {leave() {}}).resolve();
	router.on('cpg_licenses', function() {loadHTML('inc/cpg/cpg_licenses.html', 'wrapper', CPGLicensesController)}, {leave() {}}).resolve();

	// CLIENTES
	router.on('show_all_clients', function() {loadHTML('inc/customers/customers.html', 'wrapper', CustomersController)}, {leave() {}}).resolve();
	router.on('customers_new', function() {loadHTML('inc/customers/customers_new.html', 'wrapper', CustomersNewController)}, {leave() {}}).resolve();
	router.on('customers_edit', function() {loadHTML('inc/customers/customers_edit.html', 'wrapper', CustomersEditController)}, {leave() {}}).resolve();

	// MANTENIMIENTO SISTEMA
	router.on('table_information', function() {loadHTML('inc/mantenimiento_sistema/table_information.html', 'wrapper', TableInformationController)}, {leave() {}}).resolve();

	// GESTION CLIENTES
	router.on('clientes', function() {loadHTML('inc/gestion_clientes/gestion_clientes.html', 'wrapper', ClientsManagement)}, {leave() {}}).resolve();
	router.on('clientes_edit', function() {loadHTML('inc/gestion_clientes/clientes_edit.html', 'wrapper', ClientsEditController)}, {leave() {}}).resolve();

	// STEP BY STEP
	router.on('step_by_step_project_new', function() {loadHTML('inc/step_by_step/step_by_step_project_new.html', 'wrapper', StepByStepProjectNewController)}, {leave() {}}).resolve();
	router.on('step_by_step_project_edit', function() {loadHTML('inc/step_by_step/step_by_step_project_edit.html', 'wrapper', StepByStepProjectEditController)}, {leave() {}}).resolve();
	router.on('step_by_step_mission_new', function() {loadHTML('inc/step_by_step/step_by_step_mission_new.html', 'wrapper', StepByStepMissionNewController)}, {leave() {}}).resolve();
	router.on('step_by_step_mission_edit', function() {loadHTML('inc/step_by_step/step_by_step_mission_edit.html', 'wrapper', StepByStepMissionEditController)}, {leave() {}}).resolve();
	router.on('step_by_step_survey', function() {loadHTML('inc/step_by_step/step_by_step_survey.html', 'wrapper', StepByStepSurveyController)}, {leave() {}}).resolve();
	router.on('step_by_step_criterion_new', function() {loadHTML('inc/step_by_step/step_by_step_criterion_new.html', 'wrapper', StepByStepCriterionNewController)}, {leave() {}}).resolve();
	router.on('step_by_step_criterion_edit', function() {loadHTML('inc/step_by_step/step_by_step_criterion_edit.html', 'wrapper', StepByStepCriterionEditController)}, {leave() {}}).resolve();
	router.on('step_by_step_summary', function() {loadHTML('inc/step_by_step/step_by_step_summary.html', 'wrapper', StepByStepSummaryController)}, {leave() {}}).resolve();
}